#!/usr/bin/env python3
import sys
sys.path.insert(0, 'src')

from alloy import parser

# Test then chaining
test_code = '''result, error = claude Research "AI trends" then process_analysis'''

try:
    ast = parser.parse(test_code)
    print('Parse result:', ast)
except Exception as e:
    print('Parse error:', e)
    import traceback
    traceback.print_exc()